#!/bin/bash

if [ -x "$DAEMON" ] 
then
  echo "This script need the zip command !"
  exit -1
fi

source ./config.sh

if [ -z ${1} ]
then
  echo "Usage : $0 <name>"
  exit
else
  end=@$KEY_CN
  name=$1
  tmp="ovpn_$name$end"
  tmpfull="/tmp/$tmp"
fi

export KEY_NAME=$name$end

# Génération du certificat client
./build-key $KEY_NAME

mkdir $tmpfull
echo "client
dev tun
proto tcp-client
remote $SERVER_ADDR 443
resolv-retry infinite
cipher AES-256-CBC
ca ca.crt
cert $KEY_NAME.crt
key $KEY_NAME.key
tls-auth ta.key 1
remote-cert-tls server
key-direction 1
nobind
persist-key
persist-tun
comp-lzo
verb 3" > $tmpfull/$KEY_CN.ovpn
cp $tmpfull/$KEY_CN.ovpn $tmpfull/$KEY_CN.conf
cp ./keys/$KEY_NAME.key $tmpfull
cp ./keys/$KEY_NAME.crt $tmpfull
cp ./keys/ca.crt $tmpfull
cp ./keys/ta.key $tmpfull

lastdir=`pwd`

cd /tmp
zip -9m /tmp/$KEY_NAME.zip $tmp/*
cd $lastdir
mv /tmp/$KEY_NAME.zip ./keys

rm $tmpfull -rf