#!/bin/bash

cp /usr/share/doc/openvpn/examples/easy-rsa/2.0 ./easy-rsa -Rf

source ./config.sh

# Vide le dossier keys
./clean-all

# Création du certificat racine 
./build-ca

# Création de la clé du serveur
./build-key-server $KEY_CN

# Création de la clé Diffie-Hellman
./build-dh

# Génération de la clé secrète
openvpn --genkey --secret keys/ta.key

# Création de la liste de révocation
openssl ca -gencrl -out keys/crl.pem -config "$KEY_CONFIG"